
# quickcapture
<img  class="img-fluid"  align="center"  src="https://res.cloudinary.com/amal324/image/upload/v1700035334/ib1ox7ej2tushaczbhcy.png"  width="30%"  alt="img-verification"><a  align="center"  href='https://play.google.com/store/apps/details?id=com.extrieve.exScan&pcampaignid=pcampaignidMKT-Other-global-all-co-prtnr-py-PartBadge-Mar2515-1'  title="Click to download android app"  target="_blank"  rel="noopener noreferrer"><img  align="center"  width="150px"  alt='Get it on Google Play'  src='https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png'/></a>


Flutter plugin QuickCapture makes it possible to scan documents using mobile devices.

With the simple integration of this plugin, mobile applications can reliably scan documents using the camera on a user's mobile device. High-quality documents are captured with optimised focus control.


> It's not "**just**" a scanning SDK. It's a "**document**" scanning/capture SDK evolved with **Best Quality**, **Highest Possible Compression**, **Image Optimisation**, of output document in mind.


> Control **DPI**,**Layout** & **Size** of output images, PDF & TIFF


>  **Developer-friendly** & **Easy to integration** SDK.


Documents can be compressed,optimised & converted to make them smaller, which speeds up uploads and uses less infrastructure.


Also can build PDF and TIFF output from the captured images or even convert images to PDF and TIFF.


For more information : [Checkout](https://www.extrieve.com/mobile-document-scanning/)


Compatibility

-------------

*  **JAVA 8 Support**: Requires JAVA version 8 support for the application.

*  **Minimum Android SDK**: Requires a minimum API level of 21.

*  **Compiled SDK Version**: compiled against **API 34**.


*  **Minimum IOS**: requires a minimum iOS 11.


### Other available platform options

- [Android - Native](https://github.com/ExtrieveTechnologies/QuickCapture_Android)

- [iOS - Native](https://github.com/ExtrieveTechnologies/QuickCapture_IOS)



## Getting Started

For help getting started with Flutter development, view the

[online documentation](https://flutter.dev/docs), which offers tutorials,

samples, guidance on mobile development, and a full API reference.


[© 1996 - 2023 Extrieve Technologies](https://www.extrieve.com/)