//
//  IImageOpsAI.h
//  QuickCaptureSDK
//
//  Created by Extrieve Technologies Pvt Ltd on 26/07/23.
//  Copyright © 2023 Extrieve Technologies Pvt Ltd. All rights reserved.
//

#ifndef IImageOpsAIWrapper_h
#define IImageOpsAIWrapper_h


@interface IImageOpsAI : NSObject 

- (instancetype)init;

- (UIImage*) ConvertToGrayScale: (UIImage*) image;
-(UIImage*) CropImage: (UIImage*) image points: (NSArray*) pointArray PerspectiveCorrection:(BOOL) perspectiveCorrection BoundingPoints: (NSArray*) boundingPoints;
-(NSArray*) GetEdges: (UIImage*) image BoundingPoints: (NSArray*) boundingPoints;
-(UIImage*) DetectLive: (UIImage*) image;

@end


#endif /* IImageOpsAIWrapper_h */
