//
//  IImageHelper.h
//  QuickCaptureFW
//
//  Created by Extrieve Technologies Pvt Ltd on 13/06/23.
//

#ifndef IImageHelper_h
#define IImageHelper_h

#import <UIKit/UIKit.h>

@interface IImageHelper : NSObject

+ (void*) handle;

- (instancetype)init;

//- (void)deinit;

- (void) setImageQuality : (int32_t) value;

- (long) getImageQuality;

- (void) setPageLayout : (int32_t) value;

- (long) getPageLayout;

- (void) setCustomWidth : (int32_t) value;

- (long) getCustomWidth;

- (void) setCustomHeight : (int32_t) value;

- (long) getCustomHeight;

- (void) setDPI : (int32_t) value;

- (long) getDPI;

- (void) setConversionType : (int32_t) value;

- (long) getConversionType;

- (void) setMaxSize : (int32_t) value;

- (long) getMaxSize;

- (long) getRequiredWidth;

- (long) getRequiredHeight;

- (void) setThumbnailHeight : (int32_t) value;

- (long) getThumbnailHeight;

- (void) setThumbnailWidth : (int32_t) value;

- (long) getThumbnailWidth;

- (long) getJPEGQuality;

- (float) getSamplingSize : (int32_t) height SampleWidth : (int32_t) width ReqiredHeight : (int32_t) reqHeight RequiredWidth : (int32_t) reqWidth;

- (int32_t)createTiffFile:(NSString *)workingDirectory
                      FileArrayWithPath:(NSArray<NSString *> *)fileArrayWithPath
                      OutputFileWithPath:(NSString *)outputFileWithPath
                      XResolution:(int32_t)xResolution
                      YResolution:(int32_t)yResolution
                      Quality:(int32_t)quality;

- (int32_t)createPDFFile:(NSString *)workingDirectory
                      fileArrayWithPath:(NSArray<NSString *> *)fileArrayWithPath
                      outputFileWithPath:(NSString *)outputFileWithPath
                      xResolution:(int32_t)xResolution
                      yResolution:(int32_t)yResolution
                      quality:(int32_t)quality;

- (Boolean) unlockLibrary : (NSString *) str : (NSString *) licenseData ;



@end


#endif /* IImageHelper_h */
